/**
 *
 * Project: Crypto, File: HashUtilsTest.java
 *
 * Copyright 2019 Locusworks LLC.
 * All rights reserved. Federal copyright law prohibits unauthorized reproduction by
 * any means and imposes fines up to $25,000 for violation.  No part of this material
 * may be reproduced, transmitted, transcribed, stored in a retrieval system, copied,
 * modified, duplicated, adapted or translated into another program language in any
 * form or by any means, electronic, mechanical, photocopying, recording, or
 * otherwise, without the prior written permission from Locusworks. Locusworks
 * affirms that Crypto(R) software and data is subject to United States
 * Government Purpose Rights.  Contact Locusworks, 1313 Lawnview Drive
 * Forney TX 75126, (802) 488-0438, for commercial licensing opportunities.
 *
 * IN NO EVENT SHALL LOCUSWORKS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL,
 * INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF LOCUSWORKS HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  NO RESPONSIBILITY IS ASSUMED BY
 * LOCUSWORKS FOR ITS USE, OR FOR ANY INFRINGEMENTS OF PATENTS OR OTHER RIGHTS OF
 * THIRD PARTIES RESULTING FROM ITS USE.  LOCUSWORKS SPECIFICALLY DISCLAIMS ANY
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE AND
 * ACCOMPANYING DOCUMENTATION, IF ANY, PROVIDED HEREUNDER IS PROVIDED "AS
 * IS". LOCUSWORKS HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
 * ENHANCEMENTS, OR MODIFICATIONS.
 */
package net.locusworks.crypto.tests;

import static org.junit.Assert.*;

import org.apache.commons.codec.digest.DigestUtils;
import org.junit.Test;

import net.locusworks.crypto.utils.HashUtils;

public class HashUtilsTest {
  
  private static final String TEST_STRING = "Hello World";

  @Test
  public void testMD5() throws Exception {
    String digestUtilsMD5 = DigestUtils.md5Hex(TEST_STRING.getBytes());
    String hashUtilsMD5 = HashUtils.hash("MD5", TEST_STRING);
    
    assertTrue(digestUtilsMD5.equals(hashUtilsMD5));
  }
  
  @Test
  public void testSHA1() throws Exception {
    String digestUtilsMD5 = DigestUtils.sha1Hex(TEST_STRING.getBytes());
    String hashUtilsMD5 = HashUtils.hash("SHA-1", TEST_STRING);
    
    assertTrue(digestUtilsMD5.equals(hashUtilsMD5));
  }
  
  @Test
  public void testSHA512() throws Exception {
    String digestUtilsMD5 = DigestUtils.sha512Hex(TEST_STRING.getBytes());
    String hashUtilsMD5 = HashUtils.hash("SHA-512", TEST_STRING);
    
    assertTrue(digestUtilsMD5.equals(hashUtilsMD5));
  }

}
